org.apache.felix.bundlerepository.impl.wrapper

## Class Wrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.Wrapper

    public class Wrapper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Wrapper()`

### Method Summary

Methods
`static Capability` `unwrap(org.osgi.service.obr.Capability capability)`
`static Requirement` `unwrap(org.osgi.service.obr.Requirement requirement)`
`static Resource` `unwrap(org.osgi.service.obr.Resource resource)`
`static org.osgi.service.obr.Capability` `wrap(Capability capability)`
`static org.osgi.service.obr.Capability[]` `wrap(Capability[] capabilities)`
`static org.osgi.service.obr.Repository` `wrap(Repository repository)`
`static org.osgi.service.obr.Repository[]` `wrap(Repository[] repositories)`
`static org.osgi.service.obr.RepositoryAdmin` `wrap(RepositoryAdmin admin)`
`static org.osgi.service.obr.Requirement` `wrap(Requirement resolver)`
`static org.osgi.service.obr.Requirement[]` `wrap(Requirement[] requirements)`
`static org.osgi.service.obr.Resolver` `wrap(Resolver resolver)`
`static org.osgi.service.obr.Resource` `wrap(Resource resource)`
`static org.osgi.service.obr.Resource[]` `wrap(Resource[] resources)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Wrapper

    public Wrapper()

### Method Detail

#### wrap

    public static org.osgi.service.obr.RepositoryAdmin wrap(RepositoryAdmin admin)

#### wrap

    public static org.osgi.service.obr.Resource wrap(Resource resource)

#### wrap

    public static org.osgi.service.obr.Repository wrap(Repository repository)

#### wrap

    public static org.osgi.service.obr.Resolver wrap(Resolver resolver)

#### wrap

    public static org.osgi.service.obr.Requirement wrap(Requirement resolver)

#### wrap

    public static org.osgi.service.obr.Capability wrap(Capability capability)

#### unwrap

    public static Capability unwrap(org.osgi.service.obr.Capability capability)

#### unwrap

    public static Resource unwrap(org.osgi.service.obr.Resource resource)

#### unwrap

    public static Requirement unwrap(org.osgi.service.obr.Requirement requirement)

#### wrap

    public static org.osgi.service.obr.Resource[] wrap(Resource[] resources)

#### wrap

    public static org.osgi.service.obr.Repository[] wrap(Repository[] repositories)

#### wrap

    public static org.osgi.service.obr.Requirement[] wrap(Requirement[] requirements)

#### wrap

    public static org.osgi.service.obr.Capability[] wrap(Capability[] capabilities)